## Overview

This document explains who the maintainers are (see below), what they do in this repo, and how they should be doing it.
If you're interested in contributing, see [CONTRIBUTING](CONTRIBUTING.md).

## Current Maintainers

| Maintainer        | GitHub ID                                                              | Affiliation |
| ----------------- | ---------------------------------------------------------------------- | ----------- |
| Kevin de Jong     | [KevinDeJong-TomTom](https://github.com/KevinDeJong-TomTom)            | TomTom      |
| Maikel vd Hurk    | [MaikelvandenHurk-tomtom](https://github.com/MaikelvandenHurk-tomtom)  | TomTom      |

## Maintainer Responsibilities

Maintainers are active and visible members of the community, and have 
[maintain-level permissions on a repository](https://docs.github.com/en/organizations/managing-access-to-your-organizations-repositories/repository-permission-levels-for-an-organization).
Use those privileges to serve the community and evolve code as follows.

### Prioritize Security

Security is your number one priority. Maintainer's Github keys must be password protected securely and any reported security vulnerabilities
are addressed before features or bugs.

Note that this repository is monitored and supported 24/7 by Amazon Security, see [Reporting a Vulnerability](SECURITY.md) for details.

### Review Pull Requests

Review pull requests regularly, comment, suggest, reject, merge and close. Accept only high quality pull-requests. Provide code reviews and
guidance on incoming pull requests. Don't let PRs be stale and do your best to be helpful to contributors.

### Triage Open Issues

Manage labels, review issues regularly, and triage by labelling them. 

### Be Responsive

Respond to enhancement requests, and forum posts. Allocate time to reviewing and commenting on issues and conversations as they come in. 

### Maintain Overall Health of the Repository

Keep the `main` branch at production quality at all times. Backport features as needed. Cut release branches and tags to enable future patches. 

### Release Frequently

Make frequent project releases to the community.
